Subject: Re: p7: forwarding Proxy-*

From: Mark Nottingham <[email-masked]>
Date: Tue, 7 May 2013 15:19:15 +1000

OK, assigning for -23 with an editorial change to P1 to note the difference from 2616 (e.g., in "Changes from RFC2616").

On 30/04/2013, at 5:58 PM, Roy T. Fielding <[email-masked]> wrote:

> On Apr 29, 2013, at 7:04 PM, Mark Nottingham wrote:
> 
>> Well, they're listed as hop-by-hop in 2616, and AFAICT we haven't explicitly discussed changing that.
> 
> It's complicated.  The Proxy-auth fields were defined before
> keep-alive and Connection existed.  I remember trying to phrase
> that multiple times back in the early days.  In this case, it is
> better to simply define how it works without Connection and let
> the normal Connection semantics apply when used (if ever).
> 
>> Are you saying that they shouldn't be included in Connection, ever?
> 
> No, I am just saying that Connection is not required; if it is not
> included in Connection, then the intention is that it be forwarded
> until consumed.  OTOH, if it is included in Connection, then it
> will be consumed or deleted by the immediate recipient.  AFAIK,
> these fields are not normally included in Connection, but there
> might be a good reason to if the proxy selection is complicated.
> 
> ....Roy

--
Mark Nottingham   http://www.mnot.net/